Skip to main content
GET
Retrieve a Workflow

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

uid
string
required

The UID of the Workflow

Response

Workflow show

uid
string
read-only

The UID of the Workflow

author

The user who created the workflow. Pass ?expand[]=field_name for full object.

author_uid
string | null
deprecated
read-only

DEPRECATED: Use author instead. The UID of the author.

created_at
string<date-time>
read-only

datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")

executed_count
integer
default:0
read-only

Workflow's executions count.

name
string

The Workflow name

status
enum<string>
default:draft
read-only

The status of the Workflow

Available options:
draft,
live,
paused,
archived
trigger_name
enum<string>
read-only
Available options:
date.date,
user.birthday_date,
user.work_anniversary,
user.job_start_date,
user.job_leave_date,
user.probation_end_date,
request.submitted,
request.resolved,
request.in_progress,
request.waiting,
request.reopened,
request.snoozed,
request.snooze_expired,
request.admin_replied,
request.user_replied,
request.user_unresponsive,
request.tag_added,
request.sla_breached,
request.admin_unresponsive
trigger_type
enum<string>
read-only

The type of Workflow trigger

Available options:
date,
user,
request
updated_at
string<date-time>
read-only

datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")

manifest
object
read-only

The Workflow manifest, describing its trigger and branches.